<template>
  <div>
    <tableLayout  :layout="tablecols" :data="list" :custom="true" height="200">
      <template v-slot:customcol="scope">
        <p>{{scope.column.data[scope.column.columnname]}}</p>
      </template>
    </tableLayout>
  </div>
</template>

<script>
export default {
  name: "index",
  props:["data"],
  data() {
    return {
      tablecols:'',
      list:[],
    }
  },
  mounted() {
    if (this.data.quotedpricetype === '项目报价') {
      this.list[0] = this.data
      console.log(this.list)
    }else {
      this.list[0] = this.data
    }
  },
  methods:{
    /*async listData(id){
      const res = await this.$api.requested({
        "id": 20221012164302,
        "content": {
          "sa_customersid": id
        },
      })
      console.log(res)
      this.list[0] = res.data
      console.log(this.list)
    }*/
  },
  created() {
    this.tablecols = this.tool.tabelCol(this.$route.name).customerTable.tablecols
  }
}
</script>

<style scoped>

</style>